import request from '@/utils/request'

// 查询拼团活动列表
export function groupBookingActivityPage_api(query) {
    return request({
        url: '/admin/groupBuy/groupBuyActivity/page',
        method: 'get',
        params: query
    })
}
// 删除拼团活动
export function groupBookingActivityDel_api(ids) {
    return request({
        url: `/admin/groupBuy/groupBuyActivity/del/${ids}`,
        method: 'post',
    })
}

// 新增拼团活动
export function groupBookingActivityAdd_api (data) {
  return request({
    url: '/admin/groupBuy/groupBuyActivity/add',  
    method: 'post',
    data
  })
}
// 修改拼团活动
export function groupBookingActivityEdit_api (data) {
  return request({
    url: '/admin/groupBuy/groupBuyActivity/edit',
    method: 'post',
    data
  })
}

// 获取拼团活动详细信息
export function groupBookingActivityInfo_api (id) {
  return request({
    url: `/admin/groupBuy/groupBuyActivity/info/${id}`,
    method: 'get',
  })
}



// 查询拼团活动商品列表
export function groupBookingActivitygoodsPage_api(query) {
    return request({
        url: '/admin/groupBuy/activitygoods/page',
        method: 'get',
        params: query
    })
}
// 删除拼团活动商品
export function groupBookingActivitygoodsDel_api(ids) {
    return request({
        url: `/admin/groupBuy/activitygoods/del/${ids}`,
        method: 'post',
    })
}

// 新增拼团活动商品
export function groupBookingActivitygoodsAdd_api (data) {
  return request({
    url: '/admin/groupBuy/activitygoods/add',  
    method: 'post',
    data
  })
}
// 修改拼团活动商品
export function groupBookingActivitygoodsEdit_api (data) {
  return request({
    url: '/admin/groupBuy/activitygoods/edit',
    method: 'post',
    data
  })
}

// 获取拼团活动商品详细信息
export function groupBookingActivitygoodsInfo_api (id) {
  return request({
    url: `/admin/groupBuy/activitygoods/info/${id}`,
    method: 'get',
  })
}

// 查询拼团活动的团列表
export function groupBuyTeamPage_api(query) {
    return request({
        url: '/business/groupBuyTeam/page',
        method: 'get',
        params: query
    })
}

// 查询拼团活动的成员列表
export function groupBuyTeamMemberPage_api(query) {
    return request({
        url: '/business/groupBuyTeamMember/page',
        method: 'get',
        params: query
    })
}